import { circle, curveLinear } from 'd3';
export const Marks = ({
  data,
  xScale,
  yScale,
  xValue,
  yValue,
  //radiusValue,
  circleScale,
  circleValue,
  tooltipFormat
}) =>
  data.map(d => (
    <circle
      className="mark"
      cx={xScale(xValue(d))}
      cy={yScale(yValue(d))}
      r={circleScale(circleValue(d))}
    >
      <title>{tooltipFormat(xValue(d))}</title>
    </circle>
  ));
